﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Wizard.UI;
using System.IO;

namespace DVRMS_Renamer
{
    public partial class wizPage2 : Wizard.UI.InternalWizardPage
    {
        private frmMain mobjOwnerForm;

        public wizPage2(frmMain OwnerForm)
        {
            InitializeComponent();

            mobjOwnerForm = OwnerForm;

            txtPath.Text = Globals.selectedFolderToScan;
        }

        private void wizPage2_WizardPageSetActive(object sender, System.ComponentModel.CancelEventArgs e)
        {
            //SetWizardButtons(WizardButtons.Back | WizardButtons.Next);
            SetWizardButtons(WizardButtons.Next);
        }

        private void wizPage2_WizardNext(object sender, Wizard.UI.WizardPageEventArgs e)
        {
            Globals.selectedFolderToScan = txtPath.Text;
        }

        private void cmdBrowse_Click(object sender, EventArgs e)
        {
            folderBrowse.SelectedPath = txtPath.Text;

            if (folderBrowse.ShowDialog() == DialogResult.OK)
            {
                txtPath.Text = folderBrowse.SelectedPath;
            }
        }
    }
}
